Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614971 - btrfs multi-device fs causes boot fail with "mount: wrong fs type, bad option . ."
btrfs multi-device fs causes boot fail with "mount: wrong fs type, bad option...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 12:32 EDT by Brian
Modified: 2011-07-19 14:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: dracut-005-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 18:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian 2010-07-15 12:32:06 EDT
Description of problem:
initramfs is still not properly running btrfsctl -a <device> to import devices so that a btrfs mirror / can be mounted


Version-Release number of selected component (if applicable):
latest & greatest.  -5 I think?

How reproducible:
Is this redundant of the next question?


Steps to Reproduce:
1. Install Fedora 13 with btrfs fs on /dev/sda2 as /
2. Build & install kernel-2.6.35-0.35.rc4.git5 from SRPM from koji.
3. Reboot.
4. run:  btrfs-vol -a /dev/sdb2 /
         btrfs-vol -b /

5. Wait for finish.
6. Build & install kernel-2.6.35-0.36.rc4.git5 from koji to get new initrmfs.
7. Reboot.
  
Actual results:
mount: wrong fs type, bad option, bad superblock on /dev/sdb2, missing codepage or helper program, or other error
In some cases useful info is found in syslog - try dmesg | tail or so

Can't mount root filesystem

Boot has failed, sleeping forever.

Expected results:
Fedoralicious blue progress bar.

Additional info:

I resisted the urge to mark this bug "Urgent" though it is from my perspective.

Can anyone please help me fix this from a rescue CD?  I can get the /boot and / to mount again, but making a new initramfs is beyond me.  I will seriously order you a reasonably priced pizza.
Comment 1 Brian 2010-07-16 21:44:31 EDT
Even after building dracut-006-02 and installing before the last reboot, I get the same result.
Comment 2 Brian 2010-07-19 15:30:16 EDT
http://happypenguins.xiao.tw/?p=142

contains instructions on a mod that gets this to work.  I haven't tried with dracut-005-3, but only with 006-2 which I built from the SRPM from koji for f14.

Also the btrfs-vol -b / step hangs on the 2.6.33 kernels that I tried.  I'd recommend going to the latest you can download and build from koji.
Comment 3 Fedora Update System 2010-09-23 11:31:55 EDT
dracut-005-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dracut-005-4.fc13
Comment 4 Fedora Update System 2010-09-23 11:33:17 EDT
dracut-005-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/dracut-005-4.fc12
Comment 5 Fedora Update System 2010-09-24 16:38:58 EDT
dracut-005-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dracut'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dracut-005-4.fc12
Comment 6 Fedora Update System 2010-10-27 18:53:52 EDT
dracut-005-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-10-30 19:38:28 EDT
dracut-005-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Brian 2011-07-19 14:57:11 EDT
I apologize for not testing your updates.  After updating my system from F13 to F15, this problem came back.  Going back to the "happy penguins" link above, I was able to uninstall and reinstall the 2.6.38 kernel RPM.  Can anyone else confirm this?  Have I actually created the problem on my own system that's incompatible with dracut?

Note You need to log in before you can comment on or make changes to this bug.